cifti::StructureEnum Class Reference

Enumerated type for a structure in a brain. More...

`#include <StructureEnum.h>`

## Public Types

enum

Enum {
INVALID , ALL , ALL_WHITE_MATTER , ALL_GREY_MATTER ,
ACCUMBENS_LEFT , ACCUMBENS_RIGHT , AMYGDALA_LEFT , AMYGDALA_RIGHT ,
BRAIN_STEM , CAUDATE_LEFT , CAUDATE_RIGHT , CEREBELLAR_WHITE_MATTER_LEFT ,
CEREBELLAR_WHITE_MATTER_RIGHT , CEREBELLUM , CEREBELLUM_LEFT , CEREBELLUM_RIGHT ,
CEREBRAL_WHITE_MATTER_LEFT , CEREBRAL_WHITE_MATTER_RIGHT , CORTEX , CORTEX_LEFT ,
CORTEX_RIGHT , DIENCEPHALON_VENTRAL_LEFT , DIENCEPHALON_VENTRAL_RIGHT , HIPPOCAMPUS_LEFT ,
HIPPOCAMPUS_RIGHT , PALLIDUM_LEFT , PALLIDUM_RIGHT , OTHER ,
OTHER_GREY_MATTER , OTHER_WHITE_MATTER , PUTAMEN_LEFT , PUTAMEN_RIGHT ,
THALAMUS_LEFT , THALAMUS_RIGHT
}

## Public Member Functions

| ~StructureEnum ()

## Static Public Member Functions

static AString | toName (Enum enumValue)
static Enum | fromName (const AString &name, bool *isValidOut)
static AString | toGuiName (Enum enumValue)
static Enum | fromGuiName (const AString &guiName, bool *isValidOut)
static AString | toCiftiName (Enum enumValue)
static Enum | fromCiftiName (const AString &ciftiName, bool *isValidOut)
static void | getAllEnums (std::vector< Enum > &allEnums)
static bool | isRight (const Enum enumValue)
static bool | isLeft (const Enum enumValue)
static bool | isCortexContralateral (const Enum enumValueA, const Enum enumValueB)
static Enum | getContralateralStructure (const Enum enumValue)

## Detailed Description

Enumerated type for a structure in a brain.

Enumerated types for the individual structures in a brain.

## Member Enumeration Documentation

## Enum

enum cifti::StructureEnum::Enum

Enumerated values.

Enumerator
INVALID | Invalid
ALL | All Strucures
ALL_WHITE_MATTER | All white matter
ALL_GREY_MATTER | All grey matter
ACCUMBENS_LEFT | Left Nucleus Accumbens
ACCUMBENS_RIGHT | Right Nucleus Accumbens
AMYGDALA_LEFT | Left Amygdala
AMYGDALA_RIGHT | Right Amygdala
BRAIN_STEM | Brain Stem
CAUDATE_LEFT | Left Caudate
CAUDATE_RIGHT | Right Caudate
CEREBELLAR_WHITE_MATTER_LEFT | Cerebellar white matter left
CEREBELLAR_WHITE_MATTER_RIGHT | Cerebellar white matter right
CEREBELLUM | Cerebellum
CEREBELLUM_LEFT | Left Cerebellum
CEREBELLUM_RIGHT | Right Cerebellum
CEREBRAL_WHITE_MATTER_LEFT | Cerebral white matter left
CEREBRAL_WHITE_MATTER_RIGHT | Cerebral white matter right
CORTEX | Cortex not specified
CORTEX_LEFT | Left Cerebral Cortex
CORTEX_RIGHT | Right Cerebral Cortex
DIENCEPHALON_VENTRAL_LEFT | Left Ventral Diencephalon
DIENCEPHALON_VENTRAL_RIGHT | Right Ventral Diencephalon
HIPPOCAMPUS_LEFT | Left Hippocampus
HIPPOCAMPUS_RIGHT | Right Hippocampus
PALLIDUM_LEFT | Left Pallidum
PALLIDUM_RIGHT | Right Pallidum
OTHER | Other structure not specified
OTHER_GREY_MATTER | Other grey matter
OTHER_WHITE_MATTER | Other white matter
PUTAMEN_LEFT | Left Putamen
PUTAMEN_RIGHT | Right Putamen
THALAMUS_LEFT | Left Thalamus
THALAMUS_RIGHT | Right Thalamus

## Constructor & Destructor Documentation

## ~StructureEnum()

StructureEnum::~StructureEnum | ( |  | ) |

Destructor.

## Member Function Documentation

## fromCiftiName()

StructureEnum::Enum StructureEnum::fromCiftiName | ( | const AString & | ciftiName,
|  | bool * | isValidOut )

static

Get an enumerated value corresponding to its GUI name.

Parameters

  ciftiName | Name of enumerated value.
  isValidOut | If not NULL, it is set indicating that a enum value exists for the input name.

Returns
  Enumerated value.

## fromGuiName()

StructureEnum::Enum StructureEnum::fromGuiName | ( | const AString & | guiName,
|  | bool * | isValidOut )

static

Get an enumerated value corresponding to its GUI name.

Parameters

  guiName | Name of enumerated value.
  isValidOut | If not NULL, it is set indicating that a enum value exists for the input name.

Returns
  Enumerated value.

## fromName()

StructureEnum::Enum StructureEnum::fromName | ( | const AString & | name,
|  | bool * | isValidOut )

static

Get an enumerated value corresponding to its name.

Parameters

  name | Name of enumerated value.
  isValidOut | If not NULL, it is set indicating that a enum value exists for the input name.

Returns
  Enumerated value.

## getAllEnums()

void StructureEnum::getAllEnums | ( | std::vector< Enum > & | allEnums | ) |

static

Get all of the enumerated type values. The values can be used as parameters to toXXX() methods to get associated metadata.

Parameters

  allEnums | A vector that is OUTPUT containing all of the enumerated values except ALL.

## getContralateralStructure()

StructureEnum::Enum StructureEnum::getContralateralStructure | ( | const Enum | enumValue | ) |

static

For the given structure return its contralateral structure. Thats is, if this is a left/right structure return its corresponding structure from the other side.

Parameters

  enumValue | Structure for which contralateral structure is desired.

Returns
  The contralateral structure or NULL if it does not have a contralateral structure.

## isCortexContralateral()

bool StructureEnum::isCortexContralateral | ( | const Enum | enumValueA,
|  | const Enum | enumValueB )

static

Are the two structure's cortices and contralateral (is one CortexLeft and one CortexRight)?

Parameters

  enumValueA | First structure enumerated type.
  enumValueB | Second structure enumerated type.

Returns
  True if one is CORTEX_LEFT and one is CORTEX_LEFT.

## isLeft()

bool StructureEnum::isLeft | ( | const Enum | enumValue | ) |

static

Is this 'left' structure?

Parameters

  enumValue | The enumerated type.

Returns
  true if the enumerated value represents a 'left' structure, else false.

## isRight()

bool StructureEnum::isRight | ( | const Enum | enumValue | ) |

static

Is this 'right' structure?

Parameters

  enumValue | The enumerated type.

Returns
  true if the enumerated value represents a 'right' structure, else false.

## toCiftiName()

AString StructureEnum::toCiftiName | ( | Enum | enumValue | ) |

static

Get a GUI string representation of the enumerated type.

Parameters

  enumValue | Enumerated value.

Returns
  String representing enumerated value.

## toGuiName()

AString StructureEnum::toGuiName | ( | Enum | enumValue | ) |

static

Get a GUI string representation of the enumerated type.

Parameters

  enumValue | Enumerated value.

Returns
  String representing enumerated value.

## toName()

AString StructureEnum::toName | ( | Enum | enumValue | ) |

static

Get a string representation of the enumerated type.

Parameters

  enumValue | Enumerated value.

Returns
  String representing enumerated value.

The documentation for this class was generated from the following files:

- StructureEnum.h
- StructureEnum.cxx